<?php

namespace App\Http\Controllers;

use Illuminate\View\View;
use Illuminate\Support\Arr;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Http;

class HttpClientController extends Controller
{

    private function http_client($verse) {
        $translation = 'webbe';
        $key = '980ba4848c5f31b171665d029c31bd06';

        $response = Http::withHeaders([
            'api-key' => $key,
        ])->get("https://bible-api.com/$verse?translation=$translation")->json();

        // return collect($response['data'])->first();
        return $response;
    }

    private function anxiety_verses(){
        return $anx_verses = [
            "Philippians 4:6-7",
            "1 Peter 5:6-8",
            "John 14:27",
            "2 Timothy 1:7",
            "Psalm 55:22",
            "Philippians 4:6",
            "Hebrews 13:5-6",
            "Joshua 1:9",
            "Proverbs 3:5-6",
            "1 John 4:18",
            "1 Peter 3:14",
            "Isaiah 35:4",
            "Isaiah 40:31",
            "Isaiah 41:10",
            "Hebrews 11:1",
            "John 14:1",
            "Joshua 1:9",
            "Luke 12:22",
            "Matthew 6:25-34",
            "Psalms 34:4",
            "Psalms 34:17",
            "Psalms 94:19",
            "Psalms 138:8",
            "Romans 8:38-39",
            "Jeremiah 17:7-8",
            "Luke 1:35-37",
            "Luke 12:24-34",
            "Matthew 11:28-30",
            "Psalms 23",
            "John 14:27",
            "Colossians 3:15",
            "2 Thessalonians 3:16",
            "Psalms 55:22",
            "Proverbs 12:25",
            "Psalms 56:3",
            "Psalm 46:10",
        ];
    }

    private function depression_verses()
    {
        return $dep_verses = [
            "Philippians 4:8",
            "Deuteronomy 31:8",
            "Psalms 34:17",
            "Psalms 40:1-3",
            "Psalms 3:3",
            "Psalms 32:10",
            "Psalms 42:11",
            "1 Peter 5:6-7",
            "John 16:33",
            "Romans 8:38-39",
            "2 Corinthians 1:3-4",
            "1 Peter 4:12-13",
            "Psalms 37:23-24",
            "Isaiah 41:10",
        ];
    }

    private function anger_verses()
    {
        return $ang_verses = [
            "Proverbs 19:11",
            "James 1:19-20",
            "Ecclesiastes 7:9",
            "Proverbs 15:1",
            "Proverbs 29:11",
            "Proverbs 15:18",
            "Colossians 3:8",
            "James 4:1-2",
            "Proverbs 16:32",
            "Proverbs 22:24-25",
            "Matthew 5:22",
            "Psalms 37:8-9",
            "Psalms 7:11",
            "2 Kings 11:9-10",
            "2 Kings 17:18",
            "Proverbs 14:29",
            "Proverbs 29:22",
            "Proverbs 14:17",
            "Romans 12:9",
            "1 Timothy 2:8",
            "Psalms 86:15",
            "2 Timothy 2:22",
            "Jonah 4:4",
            "Ephesians 6:4",
            "Ephesians 4:26-27",
            "Ephesians 4:29-31",
            "Proverbs 12:16",
            "Colossians 3:15",
            "Psalms 34:14",
            "Ecclesiastes 10:4",
            "Colossians 3:12-13",
            "Proverbs 13:10",
            "Luke 6:35",
            "Proverbs 12:18",
            "Proverbs 20:22",
            "Proverbs 16:29",

        ];
    }

    private function fear_verses()
    {
        return $fear_verses = [
            "Psalms 23:4",
            "Isaiah 41:10",
            "Isaiah 35:4",
            "Joshua 8:1",
            "Psalms 27:3",
            "Deuteronomy 31:6",
            "Psalms 34:4",
            "Psalms 46:1-3",
            "John 14:27",
            "Joshua 1:9",
            "Matthew 6:34",
            "Isaiah 43:1",
            "Psalms 94:19",
            "Romans 8:38-39",
            "Psalms 27:1",
            "1 Peter 5:6-7",
            "Isaiah 41:13",
            "Psalms 118:6",
            "2 Timothy 1:7",
            "Psalms 115:11",
            "Psalms 103:17",
            "Psalms 112:1",
            "1 Chronicles 28:20",
            "Psalms 56:3-4",
            "Isaiah 54:4",
            "Matthew 10:28",
            "Romans 8:15",
            "1 Corinthians 16:13",
            "Hebrews 13:5-6",
            "1 Peter 3:13-14",
            "1 John 4:18",
            "psalms 103:8",
            "Leviticus 19:17-18",
            "Galatians 5:19-21",
        ];
    }

    private function tired()
    {
        return $tired_verses = [
            "Matthew 11:28-30",
            "Mark 6:31",
            "Isaiah 40:31",
            "Exodus 33:14",
            "Philippians 4:6-7",
            "Psalm 46:1, 10",
            "Psalm 62:1",
            "Psalm 18:31-32",
            "2 Thessalonians 3:13",
            "Jeremiah 31:25",
            "Isaiah 40:29",
            "Psalm 119:114",
            "Psalm 73:26",
            "Psalm 68:35",
            "Galatians 6:9",
            "Psalm 4:8",
            "Psalm 127:1-2",
            "Romans 12:11",
            "1 Kings 8:56",
            "Romans 8:26-28",
            "Colossians 1:29",
            "Hebrews 4:16",
            "Philemon 1:20",
            "Psalm 62:5",
            "Proverbs 3:24",
            "Philippians 4:13",
        ];
    }

    public function anxious():View
    {
        $random_verse = Arr::random($this->anxiety_verses());
        $passage = $this->http_client($random_verse);

        return view('verse', compact('passage'));
    }

    public function depression():View
    {
        $random_verse = Arr::random($this->depression_verses());
        $passage = $this->http_client($random_verse);

        return view('verse', compact('passage'));
    }

    public function anger():View
    {
        $random_verse = Arr::random($this->anger_verses());
        $passage = $this->http_client($random_verse);

        return view('verse', compact('passage'));
    }


    public function fear():View
    {
        $random_verse = Arr::random($this->fear_verses());
        $passage = $this->http_client($random_verse);

        return view('verse', compact('passage'));
    }

    public function weary():View
    {
        $random_verse = Arr::random($this->tired());
        $passage = $this->http_client($random_verse);

        return view('verse', compact('passage'));
    }
}
