<?php

use Livewire\Volt\Component;

?>

<div>
    <div class="text-3xl text-white md:text-5xl lg:text-7xl">
        <span>How are You Feeling?</span>
    </div>
    <div
        class="w-full rounded-md md:max-h-[552px] max-w-[928px] px-6 mt-6 overflow-hidden shadow-md bg-gray-800 sm:rounded-lg">
        <div>
            <div class="flex mx-auto">
                <div class="flex flex-wrap w-full gap-6 p-4 sm:justify-center sm:p-6 xl:p-4">
                    <a href="<?php echo e(route('anxious')); ?>"
                        class="flex items-center w-full h-24 gap-4 p-4 bg-white rounded-lg shadow-md md:flex-col justify-items-center shadow-gray-600 lg:h-60 sm:h-32 sm:w-1/4">
                        <img src="<?php echo e(asset('img/anxiety.png')); ?>"
                            class="w-14 h-14 sm:w-20 sm:h-20 md:w-14 md:h-14 lg:w-40 lg:h-40">
                        <span class="font-serif text-xl font-semibold text-center sm:text-2xl"><?php echo e(__('Anxious')); ?></span>
                    </a>

                    <a href="<?php echo e(route('depression')); ?>"
                        class="flex items-center w-full h-24 gap-4 p-4 bg-white rounded-lg shadow-md md:flex-col justify-items-center shadow-gray-600 lg:h-60 sm:h-32 sm:w-1/4">
                        <img src="<?php echo e(asset('img/loneliness.png')); ?>"
                            class="w-14 h-14 sm:w-20 sm:h-20 md:w-14 md:h-14 lg:w-40 lg:h-40">
                        <span
                            class="font-serif text-xl font-semibold text-center sm:text-2xl"><?php echo e(__('Depressed')); ?></span>
                    </a>

                    <a href="<?php echo e(route('anger')); ?>"
                        class="flex items-center w-full h-24 gap-4 p-4 bg-white rounded-lg shadow-md md:flex-col justify-items-center shadow-gray-600 lg:h-60 sm:h-32 sm:w-1/4">
                        <img src="<?php echo e(asset('img/angry.png')); ?>"
                            class="w-14 h-14 sm:w-20 sm:h-20 md:w-14 md:h-14 lg:w-40 lg:h-40">
                        <span
                            class="font-serif text-xl font-semibold text-center sm:text-2xl"><?php echo e(__('Angry')); ?></span>
                    </a>


                    <a href="<?php echo e(route('fear')); ?>"
                        class="flex items-center w-full h-24 gap-4 p-4 bg-white rounded-lg shadow-md md:flex-col justify-items-center shadow-gray-600 lg:h-60 sm:h-32 sm:w-1/4">
                        <img src="<?php echo e(asset('img/fear.png')); ?>"
                            class="w-14 h-14 sm:w-20 sm:h-20 md:w-14 md:h-14 lg:w-40 lg:h-40">
                        <span
                            class="font-serif text-xl font-semibold text-center sm:text-2xl"><?php echo e(__('Afraid')); ?></span>
                    </a>

                    <a href="<?php echo e(route('tired')); ?>"
                        class="flex items-center w-full h-24 gap-4 p-4 bg-white rounded-lg shadow-md md:flex-col justify-items-center shadow-gray-600 lg:h-60 sm:h-32 sm:w-1/4">
                        <img src="<?php echo e(asset('img/fatigue.png')); ?>"
                            class="w-14 h-14 sm:w-20 sm:h-20 md:w-14 md:h-14 lg:w-40 lg:h-40">
                        <span
                            class="font-serif text-xl font-semibold text-center sm:text-2xl"><?php echo e(__('Tired')); ?></span>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div><?php /**PATH D:\Jon Files\sandbox\MoodVerse\resources\views\livewire/index/menu.blade.php ENDPATH**/ ?>